- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# composition_cover.hh File Reference

Author:
  Guillaume Leroi

More...

Include dependency graph for composition_cover.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<typename S, typename T>
Element< S, T > | composition_cover (const Element< S, T > &fmp)
| Facade for composition cover.
template<typename S, typename T>
Element< S, T > | composition_co_cover (const Element< S, T > &fmp)
| Facade for composition co-cover.

## Detailed Description

Author:
  Guillaume Leroi

Composition for normalized and sub-normalized transducers seen as automata over a free monoid product.

See also:
  composition_cover()

  composition_co_cover()

Definition in file composition_cover.hh.